Sisukord

# Seek Statement

Tagastab Open-lausega avatud faili järgmise lugemise või kirjutamise asukoha.

Juhusliku juurdepääsuga failide korral tagastab lause Seek järgmise loetava kirje numbri.

Kõigi muude failide korral tagastab lause Seek järgmise toimingu ilmnemise baidipositsooni.

### Süntaks:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Veakoodid:

5 Vigane protseduuri väljakutse

52 Vigane failinimi või failide arv

Sarnased teemad

Open Statement

Seek function